Public Member Functions | Public Attributes | List of all members
libpagemaker::RecordNotFoundException Struct Reference

`#include <PMDExceptions.h>`

Inheritance diagram for libpagemaker::RecordNotFoundException:

## Public Member Functions
| RecordNotFoundException (uint16_t recordType)
| RecordNotFoundException (uint16_t recordType, uint16_t seqNum)
Public Member Functions inherited from libpagemaker::PMDParseException
| PMDParseException (const std::string &message)
virtual | ~PMDParseException ()

## Public Attributes
uint16_t | m_recordType
Public Attributes inherited from libpagemaker::PMDParseException
std::string | m_message

## Constructor & Destructor Documentation

## ◆ RecordNotFoundException() [1/2]

libpagemaker::RecordNotFoundException::RecordNotFoundException | ( | uint16_t | recordType | ) |
| inline

## ◆ RecordNotFoundException() [2/2]

libpagemaker::RecordNotFoundException::RecordNotFoundException | ( | uint16_t | recordType,
|  | uint16_t | seqNum
| ) |  |
| inline

## Member Data Documentation

## ◆ m_recordType

uint16_t libpagemaker::RecordNotFoundException::m_recordType

The documentation for this struct was generated from the following file:

- PMDExceptions.h